@import 'mixins';

// {property}{sides}-{breakpoint}-{size}


.p {
    @each $size in $sizes {
        &-#{$size} {
            padding: returnCalculatedSpacer($size) !important;
        }
    }

    @each $break in $breakpoints {
        &-#{$break} {
            @include breakpoint ($break) {
                @each $size in $sizes {
                    &-#{$size} {
                        padding: returnCalculatedSpacer($size) !important;
                    }
                }
            }
        }
    }

    @each $side in $sides {
        &#{$side} {
            @each $size in $sizes {
                &-#{$size} {
                    padding: returnCalculatedSpacerWithSides($side, $size) !important;
                }
            }
        }
    }

    @each $side in $sides {
        &#{$side} {
            @each $break in $breakpoints {
                &-#{$break} {
                    @include breakpoint ($break) {
                        @each $size in $sizes {
                            &-#{$size} {
                                padding: returnCalculatedSpacerWithSides($side, $size) !important;
                            }
                        }
                    }
                }
            }
        }
    }
}
